//---------------------------------------------------------------------------
#ifndef MainH
#define MainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <ComCtrls.hpp>
#include <ExtCtrls.hpp>
#include <ToolWin.hpp>
#include <DateUtils.hpp>
#include <Dialogs.hpp>
//---------------------------------------------------------------------------
class TMainForm : public TForm
{
__published:	// IDE-managed Components
        TPanel *ControlPanel;
        TStatusBar *StatusBar;
        TPanel *MainPanel;
        TPanel *DevicesTripsPanel;
        TSplitter *VSplitter;
        TPanel *RightPanel;
        TPanel *GroupInfoPanel;
        TListView *GroupInfoListView;
        TPanel *GroupLabel;
        TPanel *InfoPanel;
        TSplitter *ISplitter;
        TPanel *SubInfoPanel;
        TPanel *OnlinePanel;
        TPanel *OnlineLabel;
        TPanel *GroupsListPanel;
        TSplitter *BSplitter;
        TPanel *CheckPointsPanel;
        TOpenDialog *LoadChPDialog;
        TSaveDialog *SaveChPDialog;
        TButton *ConnectButton;
        TButton *DisconnectButton;
        TPanel *VersionLabel;
        TPanel *VersionPanel;
        TPanel *GroupsListLabel;
        TTreeView *GroupsList;
        TPanel *InfoLabel;
        TListView *InfoListView;
        TListView *OnlineListView;
        TPageControl *PageControl;
        TTabSheet *CheckPointsSheet;
        TTabSheet *ControlSheet;
        TListView *ChPListView;
        TButton *LoadChPFromFileButton;
        TButton *SaveChPToFileButton;
        TButton *ClearCheckPointsButton;
        TButton *AddCheckPointButton;
        TButton *ChangeCheckPointButton;
        TButton *DeleteCheckPointButton;
        TLabel *GroupsLabel;
        TComboBox *GroupsComboBox;
        TLabel *CarsLabel;
        TComboBox *CarsComboBox;
        TButton *LastPositionButton;
        TButton *LastTrackButton;
        TGroupBox *SetChPPrmsGroupBox;
        TGroupBox *ComputingGroupBox;
        TCheckBox *DefaultChPPrmsBox;
        TLabel *CheckPointsLabel;
        TComboBox *CheckPointsBox;
        TCheckBox *CallPointsByParkBox;
        TEdit *CallPointsByParkTimeEdit;
        TLabel *PeriodFromLabel;
        TDateTimePicker *FirstTimePicker;
        TDateTimePicker *FirstDatePicker;
        TLabel *PeriodToLabel;
        TDateTimePicker *LastTimePicker;
        TDateTimePicker *LastDatePicker;
        TRadioButton *GSMSourceButton;
        TRadioButton *USBSourceButton;
        TLabel *Label3;
        TBevel *Bevel1;
        TButton *ShowApplicationButton;
        TButton *HideApplicationButton;
        TTimer *ComputingTimer;
        TTabSheet *TripsInfoSheet;
        TListView *TripsListView;
        TSaveDialog *ExportTrackDialog;
        TCheckBox *CallPointsBySensBox;
        TComboBox *CallPointsBySensIndexBox;
        TEdit *CallPointsBySensTimeEdit;
        TButton *SetChPPrmsButton;
        TComboBox *EntriesTypeBox;
        TButton *EntriesButton;
        TButton *ExportToFileButton;
        TCheckBox *TakeTripsSetupBox;
        TButton *ComputingButton;
        TBevel *Bevel2;
        TLabel *ComputingStatusLabel;
        TLabel *ComputingStatusInfoLabel;
        TProgressBar *ComputingProgressBar;
        TLabel *ComputingResultLabel;
        TLabel *ComputingResultInfoLabel;
        TButton *ComputingResultButton;
        void __fastcall ConnectButtonClick(TObject *Sender);
        void __fastcall DisconnectButtonClick(TObject *Sender);
        void __fastcall AutomationChangeCarsLists(TObject *Sender);
        void __fastcall AutomationChangeParameters(TObject *Sender);
        void __fastcall AutomationEndComputing(TObject *Sender);
        void __fastcall AutomationReceiveOnlineData(TObject *Sender);
        void __fastcall AutomationCloseServer(TObject *Sender);
        void __fastcall GroupsListCustomDrawItem(TCustomTreeView *Sender,
            TTreeNode *Node, TCustomDrawState State, bool &DefaultDraw);
        void __fastcall GroupsListChange(TObject *Sender, TTreeNode *Node);
        void __fastcall ShowApplicationButtonClick(TObject *Sender);
        void __fastcall HideApplicationButtonClick(TObject *Sender);
        void __fastcall LastPositionButtonClick(TObject *Sender);
        void __fastcall LastTrackButtonClick(TObject *Sender);
        void __fastcall FormClose(TObject *Sender, TCloseAction &Action);
        void __fastcall LoadChPFromFileButtonClick(TObject *Sender);
        void __fastcall SaveChPToFileButtonClick(TObject *Sender);
        void __fastcall ClearCheckPointsButtonClick(TObject *Sender);
        void __fastcall AddCheckPointButtonClick(TObject *Sender);
        void __fastcall ChangeCheckPointButtonClick(TObject *Sender);
        void __fastcall DeleteCheckPointButtonClick(TObject *Sender);
        void __fastcall ChPListViewSelectItem(TObject *Sender, TListItem *Item,
            bool Selected);
        void __fastcall GroupsComboBoxDropDown(TObject *Sender);
        void __fastcall CarsComboBoxDropDown(TObject *Sender);
        void __fastcall CheckPointsBoxDropDown(TObject *Sender);
        void __fastcall SetChPPrmsButtonClick(TObject *Sender);
        void __fastcall ComputingButtonClick(TObject *Sender);
        void __fastcall ComputingTimerTimer(TObject *Sender);
        void __fastcall ComputingResultButtonClick(TObject *Sender);
        void __fastcall TripsListViewSelectItem(TObject *Sender,
          TListItem *Item, bool Selected);
        void __fastcall EntriesButtonClick(TObject *Sender);
        void __fastcall ExportToFileButtonClick(TObject *Sender);

private:	// User declarations
        void __fastcall CreateAutomation();
        void __fastcall DestroyAutomation();
        void __fastcall FillGroupsList();
        void __fastcall ShowPanels();
        void __fastcall FillGroupInfoListView(TTreeNode *Node);
        void __fastcall FillInfoListView(TTreeNode *Node);
        void __fastcall FillOnlineInfoListView(TTreeNode *Node);
        void __fastcall FillCheckPointsList();
        void __fastcall FillTripsInfoList();

        AnsiString PrevGroupFileName;
        int PrevCarDevice;

public:		// User declarations
        __fastcall TMainForm(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TMainForm *MainForm;
//---------------------------------------------------------------------------
#endif

